//##############################################################################
//    	filename:        	config_bits.c
//
//     	configuration bits file for several demo board with LCD
//      ( LCD_LIB test project )
//
//##############################################################################
//
//      Author:         V.SchK
//      Company:        HS-Ulm
//
//      Revision:       1.0
//      Date:         	July. 2012
//     	Assembled using C18 3.41+
//
//   	todo	- add comments ;-)
//             	-
//
//##############################################################################

#include "lcd_config.h"

#if defined(PICDEM2p_2002) || defined(PICDEM2p_2006) || defined(PIC_ADAPTER)
//(18F4520...)
    #pragma config OSC = INTIO7//INTIO67
    #pragma config FCMEN = OFF
    #pragma config IESO = OFF
    #pragma config BOREN = OFF, BORV = 0

    #ifdef __DEBUG
      #pragma config WDT = OFF, WDTPS = 1024
      #pragma config PWRT = OFF
      #pragma config DEBUG = ON
      #pragma config MCLRE = ON
    #else
      #pragma config WDT = OFF, WDTPS = 1024	//1000 ca. 3,8s
      #pragma config PWRT = ON
      #pragma config DEBUG = OFF
      #pragma config MCLRE = OFF
    #endif

    #pragma config LPT1OSC = OFF
    #pragma config PBADEN = OFF
    #pragma config CCP2MX = PORTC
    #pragma config STVREN = ON
    #pragma config LVP = OFF
    #pragma config XINST = OFF
    #pragma config CP0 = OFF, CP1 = OFF, CP2 = OFF, CP3 = OFF
    #pragma config CPB = OFF, CPD = OFF
    #pragma config WRT0 = OFF, WRT1 = OFF, WRT2 = OFF, WRT3 = OFF
    #pragma config WRTB = OFF, WRTC = OFF, WRTD = OFF
    #pragma config EBTR0 = OFF, EBTR1 = OFF, EBTR2 = OFF, EBTRB = OFF

#elif defined(MINI_AD_LCD)// || defined(MINI_RS232_LCD)
//(18F1320...)
    #pragma config OSC = INTIO2             //Oscillator(LP,XT,HS,RC,EC,ECIO,HSPLL,RCIO,INTIO67,INTIO7)
    #pragma config FSCM = OFF            	//Fail-Safe Clock Monitor Enable bit#pragma config IESO = OFF            	//Internal/External Oscillator Switchover bit
    #pragma config BOR = OFF, BORV = 45	//Brown-out Reset Enable / Voltage bits: (->datasheet)

    #ifdef __DEBUG
      #pragma config WDT = OFF, WDTPS = 1024//Watchdog Timer Enable / Postscale bit: (->datasheet)
      #pragma config PWRT = OFF            	//Power-up Timer Enable bit
      #pragma config DEBUG = ON            	//Background Debugger Enable bit
      #pragma config MCLRE = ON            	//MCLR Pin Enable bit
    #else
    //  #pragma config WDT = ON, WDTPS = 1024 //1000 ca. 3,8s
      #pragma config WDT = OFF, WDTPS = 1024 //1000 ca. 3,8s
      #pragma config PWRT = ON
      #pragma config DEBUG = OFF
      #pragma config MCLRE = OFF            	//MCLR Pin Enable bit
    #endif

    #pragma config STVR = ON            	//Stack Full/Underflow Reset Enable bit
    #pragma config LVP = OFF            	//Single-Supply ICSP Enable bit
    #pragma config CP0 = OFF, CP1 = OFF    	//Code Protection bit: (Block 0..3)
    #pragma config CPB = OFF, CPD = OFF    	//Boot Block / Data EEPROM Code Protection bit
    #pragma config WRT0 = OFF, WRT1 = OFF   //Write Protection bit: (Block 0..3)
    #pragma config WRTB = OFF, WRTD = OFF   //Boot Block / Data EEPROM Write Protection bit
    #pragma config WRTC = OFF               //Configuration Register Write Protection bit
    #pragma config EBTR0 = OFF, EBTR1 = OFF //Table Read Protection bit: (Block 0..3)

#elif defined(uC_QUICK)
    #pragma config FOSC = INTIO7, WDTEN = OFF, PBADEN = OFF, LVP = OFF

#elif defined(PICDEM_USB)
    #include <p18F4550.h>

    // CONFIG1L
    #pragma config PLLDIV = 1       // PLL Prescaler Selection bits (No prescale (4 MHz oscillator input drives PLL directly))
    #pragma config CPUDIV = OSC1_PLL2// System Clock Postscaler Selection bits ([Primary Oscillator Src: /1][96 MHz PLL Src: /2])
    #pragma config USBDIV = 1       // USB Clock Selection bit (used in Full-Speed USB mode only; UCFG:FSEN = 1) (USB clock source comes directly from the primary oscillator block with no postscale)

    // CONFIG1H
    #pragma config FOSC = INTOSCIO_EC// Oscillator Selection bits (Internal oscillator, port function on RA6, EC used by USB (INTIO))
    #pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enable bit (Fail-Safe Clock Monitor disabled)
    #pragma config IESO = OFF       // Internal/External Oscillator Switchover bit (Oscillator Switchover mode disabled)

    // CONFIG2L
    #pragma config PWRT = OFF       // Power-up Timer Enable bit (PWRT disabled)
    #pragma config BOR = ON         // Brown-out Reset Enable bits (Brown-out Reset enabled in hardware only (SBOREN is disabled))
    #pragma config BORV = 3         // Brown-out Reset Voltage bits (Minimum setting)
    #pragma config VREGEN = OFF     // USB Voltage Regulator Enable bit (USB voltage regulator disabled)

    // CONFIG2H
    #pragma config WDT = OFF        // Watchdog Timer Enable bit (WDT disabled (control is placed on the SWDTEN bit))
    #pragma config WDTPS = 32768    // Watchdog Timer Postscale Select bits (1:32768)

    // CONFIG3H
    #pragma config CCP2MX = ON      // CCP2 MUX bit (CCP2 input/output is multiplexed with RC1)
    #pragma config PBADEN = OFF     // PORTB A/D Enable bit (PORTB<4:0> pins are configured as digital I/O on Reset)
    #pragma config LPT1OSC = OFF    // Low-Power Timer 1 Oscillator Enable bit (Timer1 configured for higher power operation)
    #pragma config MCLRE = ON       // MCLR Pin Enable bit (MCLR pin enabled; RE3 input pin disabled)

    // CONFIG4L
    #pragma config STVREN = ON      // Stack Full/Underflow Reset Enable bit (Stack full/underflow will cause Reset)
    #pragma config LVP = OFF        // Single-Supply ICSP Enable bit (Single-Supply ICSP disabled)
    #pragma config ICPRT = OFF      // Dedicated In-Circuit Debug/Programming Port (ICPORT) Enable bit (ICPORT disabled)
    #pragma config XINST = OFF      // Extended Instruction Set Enable bit (Instruction set extension and Indexed Addressing mode disabled (Legacy mode))

#else
    #error PLEASE SPECIFY CONFIG BITS (IN CODE) !!!
#endif
