//##############################################################################
//    	filename:        	lcd_lib_test_main.c
//
//     	main file LCD_LIB test project
//
//##############################################################################
//
//      Author:            	V.SchK
//      Company:        	HS-Ulm
//
//      Revision:           1.0
//      Date:               July. 2012
//     	Assembled using     C18 3.41+  /  xc8 1.3x+
//
//   	todo	- add comments ;-)
//             	-
//
//##############################################################################

#ifdef __XC8
  #include <xc.h>           // XC8 compiler
#else
  #include <p18cxxx.h>      // C18 compiler
#endif

#include "lcd_lib_test.h"
#include "LCD_lib_busy.h"


//--- P R I V A T E   P R O T O T Y P E S --------------------------------------
void display(void);
void __init(void);

//#pragma udata
unsigned char displayTODO;
unsigned cntButton = 0;
unsigned char btnText[] = "Btn ?";

//##############################################################################
// Function:        void __main(void)
//						called from the c18 startup code
// PreCondition:    None
// Input:
// Output:
// Side Effects:
// Overview:
//##############################################################################
void main() {

    #ifdef __XC8
        __init();       // C18 calls this function in startup code
    #endif
    
    LCD_ConstTextOut(0,0,"22.05.15");
    LCD_TextOut(1,0,btnText);
    LCD_Command(DISPLAY_CTRL + DISPLAY_ON + BLINK_ON);// + CURSOR_ON );
    LCD_SetCursor(1,3);

    while (1) {
        if(BUTTON_PRESSED){
            while(BUTTON_PRESSED){;}
            cntButton++;
            displayTODO = 1;
        }

        if (displayTODO) {
            display();
            displayTODO = 0;
        }
    }
}



//##############################################################################
// Function:        void display(void)
//
// PreCondition:    None
// Input:
// Output:
// Side Effects:
// Overview:
//##############################################################################

void display() {
    LCD_ValueOut(1,4,cntButton);
    LCD_SetCursor(1,3);
}



//##############################################################################
// Function:        void __init(void)
//
// PreCondition:    None
// Input:
// Output:
// Side Effects:
// Overview:
//##############################################################################

void __init(void)
{
 //#define    FOSC        4000000
    OSCCON = 0x50; // 4 MHz internal clock

    ADCON1 = 0xFF;  // pins digital IO

    displayTODO = 0;

    LCD_On();
    LCD_Init();

    BUTTON_TRI = INPUT_PIN;
}